import os
import ConfigParser

from paver.easy import *
from paver.setuputils import setup


HERE = path(os.getcwd())
README = HERE/'README'

SETUP_CFG = ConfigParser.ConfigParser()
SETUP_CFG.read(['setup.cfg'])
TAG = SETUP_CFG.get('egg_info', 'tag_build')
URL = 'http://bitbucket.org/meatballhat/subcss'
VERSION = '0.2.0'

SETUP_ARGS = dict(
    name='SubCss',
    version=VERSION,
    description="css substitution script",
    long_description=README.bytes(),
    classifiers=[
        "Development Status :: 3 - Alpha",
        "Environment :: Console",
        "Intended Audience :: Developers",
        "Intended Audience :: Other Audience",
        "License :: OSI Approved :: MIT License",
        "Natural Language :: English",
        "Operating System :: OS Independent",
        "Programming Language :: Python",
        "Topic :: Artistic Software",
        "Topic :: Internet",
        "Topic :: Other/Nonlisted Topic",
        "Topic :: Software Development :: Pre-processors",
        "Topic :: Text Processing",
        "Topic :: Utilities",
    ],
    keywords='css,style,web design',
    author='Dan Buch',
    author_email='daniel.buch@gmail.com',
    url=URL,
    download_url=URL + ('/get/%s%s.zip' % (VERSION, TAG)),
    license='MIT',
    platforms=['any'],
    packages=['subcss'],
    include_package_data=True,
    entry_points={
        'console_scripts': [
            'subcss = subcss.cli:main'
        ],
    },
    test_suite='nose.collector',
    zip_safe=False
)

setup(**SETUP_ARGS)


@task
@needs(['minilib', 'generate_setup', 'setuptools.command.sdist'])
def sdist():
    """combines setuptools' sdist with paver's generate_setup and minilib"""
