import sys
import optparse

from subcss.smoosher import process_substitutions


OPTIONS = (
  (('-x', '--output-ext'),
    dict(action='store', dest='output_extension', default='.css')),
  (('-m', '--varmatch'),
    dict(action='store', dest='varmatch', default='[%s]')),
  (('-S', '--strip-empty-lines'),
    dict(action='store_true', dest='strip_empty_lines', default=False)),
  (('-C', '--strip-comments'),
    dict(action='store_true', dest='strip_comments', default=False)),
  (('-M', '--minify'),
    dict(action='store_true', dest='minify', default=False)),
  (('-v', '--verbose'),
    dict(action='store_true', dest='verbose', default=False)),
  (('-i', '--read-from-stdin'),
    dict(action='store_true', dest='from_stdin', default=False)),
  (('-w', '--warning-comment'),
    dict(action='store', dest='warning_comment', default='')),
)


def main(sysargs=sys.argv[1:]):
    parser = _build_option_parser()
    opts, targets = parser.parse_args(sysargs)
    processing_args = _get_processing_args_from_opts(opts)

    if targets:
        for tgt in targets:
            process_substitutions(tgt, **processing_args)
    elif opts.from_stdin:
        process_substitutions(None, **processing_args)
    else:
        print >> sys.stderr, "No targets specified and '-i' " \
                             "flag not set, nothing to do..."
        return 2

    return 0


def _get_processing_args_from_opts(opts):
    as_dict = eval(str(opts))
    return as_dict


def _build_option_parser():
    parser = optparse.OptionParser()
    for args, kwargs in OPTIONS:
        parser.add_option(*args, **kwargs)
    return parser


if __name__ == '__main__':
    sys.exit(main())
